Last Comment Bug 757722 - unit_ipc/test_content_annotation.js fails on OS X 10.7 and 10.8
: unit_ipc/test_content_annotation.js fails on OS X 10.7 and 10.8
Status: RESOLVED FIXED
[qa-]
:
Product: Toolkit
Classification: Components
Component: Breakpad Integration (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla18
Assigned To: Phil Ringnalda (:philor)
:
Mentors:
Depends on:
Blocks: 700503 786084
  Show dependency treegraph
 
Reported: 2012-05-22 21:53 PDT by Phil Ringnalda (:philor)
Modified: 2012-09-08 18:13 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
fixed
fixed
unaffected


Attachments
disable (364 bytes, patch)
2012-08-30 20:11 PDT, Phil Ringnalda (:philor)
philringnalda: checkin+
Details | Diff | Review

Description Phil Ringnalda (:philor) 2012-05-22 21:53:29 PDT
Opt:

TEST-INFO | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/crashreporter/test/unit_ipc/test_content_annotation.js | running test ...
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/crashreporter/test/unit_ipc/test_content_annotation.js | test failed (with xpcshell return code: 0), see following log:
>>>>>>>

TEST-INFO | (xpcshell/head.js) | test 1 pending

parent: TEST-INFO | (xpcshell/head.js) | test 2 pending

parent: TEST-INFO | (xpcshell/head.js) | test 2 finished

parent: TEST-INFO | (xpcshell/head.js) | running event loop
[Child 3010] ###!!! ABORT: Intentional crash: file ../../../../../toolkit/crashreporter/test/nsTestCrasher.cpp, line 62
[Child 3010] ###!!! ABORT: Intentional crash: file ../../../../../toolkit/crashreporter/test/nsTestCrasher.cpp, line 62

parent: TEST-INFO | (xpcshell/head.js) | test 2 pending

parent: TEST-UNEXPECTED-FAIL | ../unit/head_crashreporter.js | false == true - See following stack:
parent: JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/head.js :: do_throw :: line 440
parent: JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/head.js :: _do_check_eq :: line 534
parent: JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/head.js :: do_check_eq :: line 555
parent: JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/head.js :: do_check_true :: line 569
parent: JS frame :: ../unit/head_crashreporter.js :: handleMinidump :: line 97
parent: JS frame :: ../unit/head_crashreporter.js :: <TOP_LEVEL> :: line 131
parent: JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/head.js :: <TOP_LEVEL> :: line 407

parent: TEST-INFO | (xpcshell/head.js) | exiting test

parent: TEST-UNEXPECTED-FAIL | ../unit/head_crashreporter.js | Unexpected exception 2147500036, see following stack:
undefined

parent: TEST-INFO | (xpcshell/head.js) | exiting test

parent: TEST-INFO | (xpcshell/head.js) | test 2 finished
<<<<<<<

Debug:

TEST-INFO | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/crashreporter/test/unit_ipc/test_content_annotation.js | running test ...

command timed out: 1200 seconds without output, attempting to kill
Comment 1 Josh Matthews [:jdm] 2012-05-23 01:26:12 PDT
Mark and Ted have theories about this in bug 706751.
Comment 2 Ted Mielczarek [:ted.mielczarek] 2012-05-23 04:58:45 PDT
This is probably the same root cause as that other bug. We're probably just failing at writing minidumps for a child process.

philor: We could add OS version info to the xpcshell manifests, I'm not sure about how we'd do it, but the simple thing would just be something like:
fails-if = os == "mac" && os_ver == "10.7"
Comment 4 Phil Ringnalda (:philor) 2012-08-30 09:48:34 PDT
This is holding xpcshell hostage on both opt and debug on both 10.7 and 10.8 now. How about if we disable this test on all-mac, and then pretend that someone will someday work on disabling it only on 10.7, 10.8, 10.9, 10.10 and 11.0?
Comment 5 Mark Banner (:standard8) 2012-08-30 11:16:05 PDT
I think it'd be good if we could get someone just to debug the test on 10.7 ;-) I'm convinced it probably wouldn't take long to do with access to full debug etc. I'm just not in a position to upgrade atm.

On debug this is a timeout, on opt it fails. So I think this is a duplicate of bug 706751.
Comment 6 Phil Ringnalda (:philor) 2012-08-30 20:11:03 PDT
Created attachment 657117 [details] [diff] [review]
disable

That sounds good to me:

bug 706751 can be about the test failing

some other bug someone can file if they want to fix it can be about reenabling it on 10.6 instead of fixing the test failure on 10.7 and 10.8

this bug can be about disabling it on OS X before we reach the first anniversary of running the other one thousand four hundred and ninety two xpcshell tests hidden on 10.7
Comment 7 Phil Ringnalda (:philor) 2012-08-30 21:17:35 PDT
Comment on attachment 657117 [details] [diff] [review]
disable

Landed in https://hg.mozilla.org/integration/mozilla-inbound/rev/ca6ad4ab3366, backed out in https://hg.mozilla.org/integration/mozilla-inbound/rev/ab525ba5eb19 - it looks rather like if you produce a net-empty xpcshell.ini, you break the build. This has not, as it turns out, done much to ameliorate my hatred for this test.
Comment 8 Phil Ringnalda (:philor) 2012-08-30 21:50:41 PDT
Comment on attachment 657117 [details] [diff] [review]
disable

Yep, having a pretty nice evening. Apparently that was not my bustage, just a fine coincidental meeting with a fresh way for the Mac buildslaves to fail. Relanded in https://hg.mozilla.org/integration/mozilla-inbound/rev/5fd0de490937, and opt and debug xpcshell on 10.7 and 10.8 are unhidden there.
Comment 9 Philipp von Weitershausen [:philikon] 2012-08-31 10:51:50 PDT
https://hg.mozilla.org/mozilla-central/rev/ca6ad4ab3366

Note You need to log in before you can comment on or make changes to this bug.